<template>
  <div id="register">
    <h1>Register</h1>
    <form @submit.prevent="register">
      <label for="email">Email: </label>
      <input type="email" name="email" id="email" placeholder="Votre email" v-model="email">
      <label for="password">Mot de passe: </label>
      <input type="password" name="password" id="password" placeholder="votre mot de passe" v-model="password">
      <button type="submit">Register</button>
    </form>
  </div>
</template>

<script>
import {auth} from '@/utils/firebase';
export default {
  name: "Register",
  data: () => {
    return {
      email: "",
      password: "",
    }
  },
  methods: {
    register: function() {
      auth.createUserWithEmailAndPassword(this.email, this.password)
        .then((user) => {
          console.log(user)
          this.$router.push('/');
        })
        .catch((error) => {
          console.log(error)
        })
    }
  }
}

</script>
